Bug 659360 - Various issues with java
Summary: Various issues with java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kpartsplugin
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 16:13 UTC by Orion Poplawski
Modified: 2011-06-21 17:10 UTC (History)
1 user (show)

Fixed In Version: kpartsplugin-0.0.1-0.4.20110606.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-21 17:10:39 UTC
Type: ---


Attachments (Terms of Use)

Description Orion Poplawski 2010-12-02 16:13:52 UTC
Description of problem:

Couple related issues:

- kpartsplugin registers itself for the various application/x-java mimetypes, but does not appear to actually handle java applets.  All I see is "Loading..."
- When unregistering mime-types, it appears that you also need to delete the firefox pluginreg.dat cache file to clear the mime-types from Firefox's cache.  Is there any other way around this?

Version-Release number of selected component (if applicable):
kpartsplugin-0.0.1-0.2.20100723.fc14.i686

Comment 1 Rex Dieter 2011-06-08 11:59:52 UTC
java-related mimetypes probably ought to be blacklisted, I'll take a look.

Comment 2 Fedora Admin XMLRPC Client 2011-06-08 12:42:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2011-06-08 13:12:08 UTC
kpartsplugin-0.0.1-0.4.20110606.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kpartsplugin-0.0.1-0.4.20110606.fc15

Comment 4 Fedora Update System 2011-06-10 13:30:11 UTC
Package kpartsplugin-0.0.1-0.4.20110606.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kpartsplugin-0.0.1-0.4.20110606.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kpartsplugin-0.0.1-0.4.20110606.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-06-21 17:10:34 UTC
kpartsplugin-0.0.1-0.4.20110606.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.